<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../../style.css');
        @import url('../../../../../../roundedcorners.css');
        @import url('../../../../../../tree.css');
            </style>
    
    <script src="../../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../../help.js" type="text/javascript"></script>
  <title>HttpAsyncClient 4.0-beta3</title>
</head>
<body onload="setBrowserTitle('HttpAsyncClient 4.0-beta3: org.apache.http.nio.client.methods.testCharConsumerSmallBufffer');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-asyncclient" target="_top">HttpAsyncClient 4.0-beta3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Thu Sep 27 2012 21:40:52 CEST
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestAsyncConsumers.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestAsyncConsumers_testCharConsumerSmallBufffer_11.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../../org/apache/http/nio/client/methods/TestAsyncConsumers.html?line=230#src-230" >testCharConsumerSmallBufffer</a>
    </td>
        <td class="graphPercent alignTop">
        0.1%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        27 Sep 21:40:48
    </td>
    <td class="graphPercent alignTop">
        0.024    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testCharConsumerSmallBufffer</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.conn.HttpNIOConnPoolFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/conn/HttpNIOConnPoolFactory.html?id=37#HttpNIOConnPoolFactory"             title="HttpNIOConnPoolFactory" name="sl-35">org.apache.http.impl.nio.conn.HttpNIOConnPoolFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">1.0</span>
            100%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="100% Covered" class="barPositive contribBarPositive" style="width: 100%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.client.methods.AsyncCharConsumer</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/client/methods/AsyncCharConsumer.html?id=37#AsyncCharConsumer"             title="AsyncCharConsumer" name="sl-43">org.apache.http.nio.client.methods.AsyncCharConsumer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.018867925</span>
                1.9%
                                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.8301887</span>
            83%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="17% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="83% Covered" class="barPositive contribBarPositive" style="width: 83%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.conn.DefaultHttpAsyncRoutePlanner</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/conn/DefaultHttpAsyncRoutePlanner.html?id=37#DefaultHttpAsyncRoutePlanner"             title="DefaultHttpAsyncRoutePlanner" name="sl-46">org.apache.http.impl.nio.conn.DefaultHttpAsyncRoutePlanner</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.71794873</span>
            71.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="28.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="71.8% Covered" class="barPositive contribBarPositive" style="width: 71.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.client.DefaultResultCallback</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/client/DefaultResultCallback.html?id=37#DefaultResultCallback"             title="DefaultResultCallback" name="sl-34">org.apache.http.impl.nio.client.DefaultResultCallback</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6</span>
            60%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="40% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="60% Covered" class="barPositive contribBarPositive" style="width: 60%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.conn.HttpNIOConnPool</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/conn/HttpNIOConnPool.html?id=37#HttpNIOConnPool"             title="HttpNIOConnPool" name="sl-43">org.apache.http.impl.nio.conn.HttpNIOConnPool</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6</span>
            60%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="40% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="60% Covered" class="barPositive contribBarPositive" style="width: 60%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.client.AbstractHttpAsyncClient</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/client/AbstractHttpAsyncClient.html?id=37#AbstractHttpAsyncClient"             title="AbstractHttpAsyncClient" name="sl-101">org.apache.http.impl.nio.client.AbstractHttpAsyncClient</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5871886</span>
            58.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="41.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="58.7% Covered" class="barPositive contribBarPositive" style="width: 58.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.conn.HttpPoolEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/conn/HttpPoolEntry.html?id=37#HttpPoolEntry"             title="HttpPoolEntry" name="sl-41">org.apache.http.impl.nio.conn.HttpPoolEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.53333336</span>
            53.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="46.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="53.3% Covered" class="barPositive contribBarPositive" style="width: 53.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.client.methods.HttpAsyncMethods.RequestProducerImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/client/methods/HttpAsyncMethods.html?id=37#HttpAsyncMethods.RequestProducerImpl"             title="HttpAsyncMethods.RequestProducerImpl" name="sl-230">org.apache.http.nio.client.methods.HttpAsyncMethods.RequestProducerImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5</span>
            50%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="50% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="50% Covered" class="barPositive contribBarPositive" style="width: 50%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.client.LoggingAsyncRequestExecutor</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/client/LoggingAsyncRequestExecutor.html?id=37#LoggingAsyncRequestExecutor"             title="LoggingAsyncRequestExecutor" name="sl-40">org.apache.http.impl.nio.client.LoggingAsyncRequestExecutor</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.43333334</span>
            43.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="56.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="43.3% Covered" class="barPositive contribBarPositive" style="width: 43.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.client.DefaultHttpAsyncClient</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/client/DefaultHttpAsyncClient.html?id=37#DefaultHttpAsyncClient"             title="DefaultHttpAsyncClient" name="sl-53">org.apache.http.impl.nio.client.DefaultHttpAsyncClient</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4117647</span>
            41.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="58.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="41.2% Covered" class="barPositive contribBarPositive" style="width: 41.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.conn.PoolingClientAsyncConnectionManager.InternalPoolEntryCallback</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/conn/PoolingClientAsyncConnectionManager.html?id=37#PoolingClientAsyncConnectionManager.InternalPoolEntryCallback"             title="PoolingClientAsyncConnectionManager.InternalPoolEntryCallback" name="sl-285">org.apache.http.impl.nio.conn.PoolingClientAsyncConnectionManager.InternalPoolEntryCallback</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4090909</span>
            40.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="59.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40.9% Covered" class="barPositive contribBarPositive" style="width: 40.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.client.DefaultAsyncRequestDirector</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/client/DefaultAsyncRequestDirector.html?id=37#DefaultAsyncRequestDirector"             title="DefaultAsyncRequestDirector" name="sl-95">org.apache.http.impl.nio.client.DefaultAsyncRequestDirector</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.39424703</span>
            39.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="39.4% Covered" class="barPositive contribBarPositive" style="width: 39.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.conn.ManagedClientAsyncConnectionImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/conn/ManagedClientAsyncConnectionImpl.html?id=37#ManagedClientAsyncConnectionImpl"             title="ManagedClientAsyncConnectionImpl" name="sl-57">org.apache.http.impl.nio.conn.ManagedClientAsyncConnectionImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.36507937</span>
            36.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="63.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="36.5% Covered" class="barPositive contribBarPositive" style="width: 36.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.client.DefaultAsyncRequestDirector.InternalFutureCallback</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/client/DefaultAsyncRequestDirector.html?id=37#DefaultAsyncRequestDirector.InternalFutureCallback"             title="DefaultAsyncRequestDirector.InternalFutureCallback" name="sl-606">org.apache.http.impl.nio.client.DefaultAsyncRequestDirector.InternalFutureCallback</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.33333334</span>
            33.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="66.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="33.3% Covered" class="barPositive contribBarPositive" style="width: 33.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.conn.scheme.AsyncSchemeRegistry</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/conn/scheme/AsyncSchemeRegistry.html?id=37#AsyncSchemeRegistry"             title="AsyncSchemeRegistry" name="sl-41">org.apache.http.nio.conn.scheme.AsyncSchemeRegistry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3043478</span>
            30.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="69.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="30.4% Covered" class="barPositive contribBarPositive" style="width: 30.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.conn.DefaultClientAsyncConnection</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/conn/DefaultClientAsyncConnection.html?id=37#DefaultClientAsyncConnection"             title="DefaultClientAsyncConnection" name="sl-41">org.apache.http.impl.nio.conn.DefaultClientAsyncConnection</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.24590164</span>
            24.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="75.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="24.6% Covered" class="barPositive contribBarPositive" style="width: 24.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.conn.PoolingClientAsyncConnectionManager</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/conn/PoolingClientAsyncConnectionManager.html?id=37#PoolingClientAsyncConnectionManager"             title="PoolingClientAsyncConnectionManager" name="sl-49">org.apache.http.impl.nio.conn.PoolingClientAsyncConnectionManager</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.22674419</span>
            22.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="77.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="22.7% Covered" class="barPositive contribBarPositive" style="width: 22.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.nio.conn.DefaultClientAsyncConnectionFactory</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/impl/nio/conn/DefaultClientAsyncConnectionFactory.html?id=37#DefaultClientAsyncConnectionFactory"             title="DefaultClientAsyncConnectionFactory" name="sl-38">org.apache.http.impl.nio.conn.DefaultClientAsyncConnectionFactory</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.2</span>
            20%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="80% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="20% Covered" class="barPositive contribBarPositive" style="width: 20%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.client.methods.HttpAsyncMethods</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/client/methods/HttpAsyncMethods.html?id=37#HttpAsyncMethods"             title="HttpAsyncMethods" name="sl-54">org.apache.http.nio.client.methods.HttpAsyncMethods</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.09876543</span>
            9.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="90.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="9.9% Covered" class="barPositive contribBarPositive" style="width: 9.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.nio.conn.scheme.AsyncScheme</span>
            &nbsp;&nbsp;<a             href="../../../../../../org/apache/http/nio/conn/scheme/AsyncScheme.html?id=37#AsyncScheme"             title="AsyncScheme" name="sl-33">org.apache.http.nio.conn.scheme.AsyncScheme</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.040816326</span>
            4.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="95.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="4.1% Covered" class="barPositive contribBarPositive" style="width: 4.1%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Thu Sep 27 2012 21:41:17 CEST</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
